Page MenuHomePhabricator

[lldb] Fix warnings in the Windows build.
ClosedPublic

Authored by zturner on May 26 2014, 12:54 PM.

Details

Reviewers
tfiala
Summary

This fixes a number of trivial warnings in the Windows build. This is part of a larger effort to make the Windows build warning-free.

Diff Detail

Event Timeline

zturner updated this revision to Diff 9815.May 26 2014, 12:54 PM
zturner retitled this revision from to Fix warnings in the Windows build..
zturner updated this object.
zturner edited the test plan for this revision. (Show Details)
zturner retitled this revision from Fix warnings in the Windows build. to [lldb] Fix warnings in the Windows build..May 26 2014, 4:38 PM
zturner updated this object.
zturner added a subscriber: Unknown Object (MLST).

first time submitting a patch, trying to figure out how to get Phabricator to send the mail to lldb-commits.

abidh added a subscriber: abidh.May 27 2014, 3:28 AM

Hi,
It looks OK to me. Built it on Linux and did not see any issue.

Regards,
Abid

scottmg added inline comments.
source/Target/Platform.cpp
534

"unsupported"

@abidh: Can you commit for me?

zturner updated this revision to Diff 9861.May 27 2014, 8:08 PM
  • Fix spelling error.

confirmed lldb building fine on visual studio 13

tfiala edited edge metadata.May 28 2014, 9:25 AM

Hey guys,

I'll go ahead and submit this in a few after I do a test build / test run
over here.

This built fine on Linux x86_64 (Ubuntu 12.04) and all tests passed (except for two that are intermittently failing in other scenarios - TestConnectionRemote and TestMultithreaded).

I'mm just waiting for the MacOSX build to finish up and then I'll mark as accepted and submit.

tfiala accepted this revision.May 28 2014, 9:47 AM
tfiala edited edge metadata.

MacOSX build fine too. LGTM.

This revision is now accepted and ready to land.May 28 2014, 9:47 AM

svn commit
Sending source/Commands/CommandObjectArgs.cpp
Sending source/Core/ConnectionFileDescriptor.cpp
Sending source/Host/common/SocketAddress.cpp
Sending source/Plugins/Instruction/ARM64/EmulateInstructionARM64.cpp
Sending source/Plugins/Process/gdb-remote/GDBRemoteCommunicationClient.cpp
Sending source/Plugins/SymbolFile/DWARF/SymbolFileDWARF.cpp
Sending source/Target/Platform.cpp
Transmitting file data .......
Committed revision 209749.

tfiala closed this revision.May 28 2014, 9:51 AM